from django.contrib.auth.decorators import login_required
from django.template.response import TemplateResponse

from aircox.models import Episode, Program


@login_required
def profile(request):
    programs, episodes = [], []
    ugroups = request.user.groups.all()
    for p in Program.objects.all():
        if p.editors in ugroups:
            programs.append(p)
            for e in Episode.objects.filter(parent=p):
                episodes.append(e)
    context = {"user": request.user, "programs": programs, "episodes": episodes}
    return TemplateResponse(request, "accounts/profile.html", context)
